(* type declaratil{n needed for newpage *)
type
  mempage=array[0:777B]of integer;
  pagept=^mempage;

(* external declarations for procedures built into the runtimes *)

function erstat(var f:file):integer;extern;

procedure quit; extern;

procedure analys(var f:file);extern;

procedure clreof(var f:file);extern;

procedure psidefine(ch,lev:integer;procedure proc); extern;

procedure psienable(ch:integer); extern;

procedure psidisable(ch: integer); extern;

function to6(a:alfa):integer; extern;

procedure from6(i:integer;var a:alfa); extern;

function curjfn(var f:file):integer; extern;

procedure setjfn(var f:file;i:integer); extern;

procedure entercrit; extern;

procedure leavecrit; extern;

procedure newpage(var p:integer;var d:pagept); extern;

procedure retpage(p:integer); extern;

function lstrec(var f:file):integer; extern.
